=== debian/changelog ===
nanobind (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2

 -- Timo Röhling <roehling@debian.org>  Sun, 25 Feb 2024 22:26:36 +0100

nanobind (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Drop backported upstream patch

 -- Timo Röhling <roehling@debian.org>  Tue, 20 Feb 2024 20:44:04 +0100

nanobind (1.8.0-4) unstable; urgency=medium

  * Remove optional test dependency on python3-torch (Closes: #1061615)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Jan 2024 10:19:10 +0100

nanobind (1.8.0-3) unstable; urgency=medium

  * Restrict architectures of python3-torch for autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 23 Nov 2023 12:01:44 +0100

nanobind (1.8.0-2) unstable; urgency=medium

  * Depend on pytorch on supported architectures only

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Nov 2023 12:50:30 +0100

nanobind (1.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #1055829)

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Nov 2023 22:54:32 +0100
