=== debian/tests/control ===
Tests: run-test-suite
Depends:
 cmake,
 g++ | c++-compiler,
 libeigen3-dev,
 libpython3-dev,
 nanobind-dev,
 python3-dev,
 python3-numpy,
 python3-pytest,
 python3-scipy,
Restrictions: allow-stderr
