=== debian/changelog ===
nanobind (2.0.0-3) unstable; urgency=medium

  * Tighten versioned dependencies
  * Create .dist-info instead of .egg-info

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Jun 2024 16:17:58 +0200

nanobind (2.0.0-2) unstable; urgency=medium

  * Add Breaks to help fenics-basix and fenics-dolfinx migrate

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Jun 2024 09:45:04 +0200

nanobind (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Update patch (no function change)
  * Bump Standards-Version to 4.7.0
  * Fix test invocation
  * Fix ndarray stub reference
  * Install stubgen.py in /usr/share/nanobind as well

 -- Timo Röhling <roehling@debian.org>  Mon, 27 May 2024 16:46:48 +0200

nanobind (1.9.2-3) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Sat, 06 Apr 2024 22:27:58 +0200

nanobind (1.9.2-2) unstable; urgency=medium

  * Ship public nanobind module (Closes: #1067085)

 -- Timo Röhling <roehling@debian.org>  Sat, 06 Apr 2024 01:33:25 +0200
