=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Timo Röhling <roehling@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  cmake,
  dh-python,
  libeigen3-dev <!nocheck>,
@@ -14,9 +15,10 @@
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
+ python3-setuptools,
  robin-map-dev <!nocheck>,
 Homepage: https://github.com/wjakob/nanobind
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/nanobind.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nanobind
@@ -39,3 +41,14 @@
  .
  This package installs the development files.
 
+Package: python3-nanobind
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ nanobind-dev (= ${binary:Version}),
+Description: ${source:Synopsis} (Python 3 module)
+ ${source:Extended-Description}
+ .
+ This package installs the Python 3 module.
+
