## nanobind 2.2.0

=== debian/changelog ===
nanobind (2.2.0-2) unstable; urgency=medium

  * Expose ABI version for reverse dependenies (Closes: #1085019)

 -- Timo Röhling <roehling@debian.org>  Fri, 22 Nov 2024 15:10:36 +0100

nanobind (2.2.0-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 2.2.0
  * Wrap and sort Debian package files
  * Refresh patch (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Oct 2024 23:27:38 +0200
