## nanobind 2.4.0

=== debian/changelog ===
nanobind (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Dec 2024 22:14:54 +0100
