=== debian/changelog ===
nanobind (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Wed, 05 Feb 2025 10:56:31 +0100
