=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- cmake,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ cmake,
  libeigen3-dev <!nocheck>,
  libpython3-all-dev,
  python3-all-dev:any,
