## nanobind 2.7.0

=== debian/changelog ===
nanobind (2.7.0-1) experimental; urgency=medium

  * New upstream version 2.7.0
  * Refresh patches (no functional changes)
  * ABI version 16
  * Rework ABI version detection
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 12 Jul 2025 17:56:59 +0200
