## nanobind 2.8.0

=== debian/changelog ===
nanobind (2.8.0-1) experimental; urgency=medium

  * Extract ABI version more robustly
  * Fix minimum version to accurately reflect last ABI version bump
  * New upstream version 2.8.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Jul 2025 21:21:08 +0200
