=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -61,6 +61,7 @@
 endif()
 
 set(TEST_NAMES
+  accessor
   functions
   callbacks
   classes
@@ -72,6 +73,8 @@
   enum
   eval
   ndarray
+  jax
+  tensorflow
   exception
   make_iterator
   typing
@@ -90,14 +93,22 @@
 
 target_sources(test_intrusive_ext PRIVATE test_intrusive_impl.cpp)
 
-foreach (NAME functions classes ndarray stl enum typing make_iterator)
+if (CMAKE_CONFIGURATION_TYPES)
+  set(OUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>)
+else()
+  set(OUT_DIR ${CMAKE_CURRENT_BINARY_DIR})
+endif()
+
+foreach (NAME functions classes ndarray jax tensorflow stl enum typing make_iterator)
   if (NAME STREQUAL typing)
     set(EXTRA
       MARKER_FILE py.typed
       PATTERN_FILE "${CMAKE_CURRENT_SOURCE_DIR}/pattern_file.nb"
     )
+    set(EXTRA_DEPENDS "${OUT_DIR}/py_stub_test.py")
   else()
     set(EXTRA "")
+    set(EXTRA_DEPENDS "")
   endif()
 
   if (CMAKE_CONFIGURATION_TYPES)
@@ -110,7 +121,7 @@
     MODULE test_${NAME}_ext
     OUTPUT ${PYI_PREFIX}test_${NAME}_ext.pyi
     PYTHON_PATH $<TARGET_FILE_DIR:test_${NAME}_ext>
-    DEPENDS test_${NAME}_ext
+    DEPENDS test_${NAME}_ext ${EXTRA_DEPENDS}
     ${EXTRA})
 endforeach()
 
@@ -138,6 +149,8 @@
 
 set(TEST_FILES
   common.py
+  conftest.py
+  test_accessor.py
   test_callbacks.py
   test_classes.py
   test_eigen.py
@@ -154,6 +167,8 @@
   test_stl_bind_vector.py
   test_chrono.py
   test_ndarray.py
+  test_jax.py
+  test_tensorflow.py
   test_stubs.py
   test_typing.py
   test_thread.py
@@ -163,28 +178,26 @@
   test_functions_ext.pyi.ref
   test_make_iterator_ext.pyi.ref
   test_ndarray_ext.pyi.ref
+  test_jax_ext.pyi.ref
+  test_tensorflow_ext.pyi.ref
   test_stl_ext.pyi.ref
   test_enum_ext.pyi.ref
   test_typing_ext.pyi.ref
   py_stub_test.py
   py_stub_test.pyi.ref
+  py_recursive_stub_test/__init__.pyi.ref
+  py_recursive_stub_test/bar.pyi.ref
 )
 
 set (PY_STUB_TEST py_stub_test.py)
 if (NOT (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR) OR MSVC)
-  if (CMAKE_CONFIGURATION_TYPES)
-    set(OUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>)
-  else()
-    set(OUT_DIR ${CMAKE_CURRENT_BINARY_DIR})
-  endif()
-
   foreach(TEST_FILE IN LISTS TEST_FILES)
     set(IN_FILE ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_FILE})
     set(OUT_FILE ${OUT_DIR}/${TEST_FILE})
     set(TEST_FILES_OUT ${TEST_FILES_OUT} ${OUT_FILE})
     add_custom_command(
       DEPENDS ${IN_FILE} OUTPUT ${OUT_FILE}
-      COMMAND ${CMAKE_COMMAND} -E copy_if_different ${IN_FILE} ${OUT_DIR})
+      COMMAND ${CMAKE_COMMAND} -E copy_if_different ${IN_FILE} ${OUT_FILE})
   endforeach()
 
   add_custom_target(copy-tests ALL DEPENDS ${TEST_FILES_OUT})
@@ -198,3 +211,15 @@
   PYTHON_PATH $<TARGET_FILE_DIR:test_stl_ext>
   DEPENDS ${PY_STUB_TEST}
 )
+
+nanobind_add_stub(
+  py_recursive_stub
+  RECURSIVE
+  MODULE py_recursive_stub_test
+  OUTPUT_PATH
+    ${PYI_PREFIX}py_recursive_stub_test
+  OUTPUT
+    ${PYI_PREFIX}py_recursive_stub_test/__init__.pyi
+    ${PYI_PREFIX}py_recursive_stub_test/bar.pyi
+  PYTHON_PATH ${CMAKE_CURRENT_SOURCE_DIR}
+)
