=== debian/changelog ===
nanobind (2.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Fri, 26 Sep 2025 23:34:19 +0200

nanobind (2.9.2-1) experimental; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 2.9.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 07 Sep 2025 18:58:37 +0200
