=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-setuptools,
  robin-map-dev <!nocheck>,
 Homepage: https://github.com/wjakob/nanobind
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/nanobind.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nanobind
