=== debian/watch ===
Version: 5

Template: Github
Owner: wjakob
Project: nanobind
Uversion-Mangle: auto
Dversion-Mangle: auto
