## nanobind 2.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -145,7 +145,7 @@
     set(NB_PYTHON_DEV_MODULE Development.Module)
   endif()
 
-  find_package(Python 3.8
+  find_package(Python 3.9
     REQUIRED COMPONENTS Interpreter ${NB_PYTHON_DEV_MODULE}
     OPTIONAL_COMPONENTS Development.SABIModule)
 endif()
