=== debian/changelog ===
nanobind (2.10.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Jan 2026 20:36:48 +0100

nanobind (2.10.2-1) experimental; urgency=medium

  * New upstream version 2.10.2
  * Refresh patches (no functional changes)
  * New ABI version 17
  * Skip failing subinterpreter test (which only checks for an exception anyway)

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Dec 2025 10:51:29 +0100
