=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	-DNB_USE_SUBMODULE_DEPS=OFF \
 	-DNB_TEST=$(NB_TEST) \
 	-DNB_INSTALL_DATADIR=/usr/share/nanobind
-export PYBUILD_TEST_ARGS = || true; {interpreter} -m pytest --ignore=tests {build_dir}/tests -k "not test01_check_stub_refs"
+export PYBUILD_TEST_ARGS = || true; {interpreter} -m pytest --ignore=tests {build_dir}/tests -k "not test01_check_stub_refs and not test04_subinterpreters"
 
 %:
 	dh $@ --buildsystem=pybuild
