=== debian/changelog ===
nanobind (2.11.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Tue, 10 Feb 2026 22:59:37 +0100

nanobind (2.11.0-1) experimental; urgency=medium

  * New upstream version 2.11.0
  * Refresh patch (no functional changes)
  * New ABI version 18
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Thu, 05 Feb 2026 18:30:20 +0100
