## nanobind 2.12.0

=== docs/requirements.txt ===
furo
sphinx==6.1.3
sphinx-copybutton==0.5.1
sphinxcontrib-moderncmakedomain==3.29.0
sphinxcontrib-svg2pdfconverter==1.2.2
