=== debian/changelog ===
nanobind (2.12.0-1) experimental; urgency=medium

  * New upstream version 2.12.0
  * Update patches
    - Obsolete: 0002-Fix-regression-introduced-in-PR-1262.patch
    - Obsolete: 0003-Fix-missing-convert-flag-for-implicit-std-optional-n.patch
  * New ABI version 19

 -- Timo Röhling <roehling@debian.org>  Sat, 28 Feb 2026 15:11:51 +0100

nanobind (2.11.0-3) unstable; urgency=medium

  * robin-map-dev is required in 'nocheck' profile
  * Fix implicit conversion for std::optional<> types (Closes: #1127895)

 -- Timo Röhling <roehling@debian.org>  Tue, 17 Feb 2026 23:15:01 +0100
