=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
- robin-map-dev <!nocheck>,
+ robin-map-dev,
 Homepage: https://github.com/wjakob/nanobind
 Standards-Version: 4.7.3
 Rules-Requires-Root: no
